*************************************************************
*Este programa debe ser utilizado con el software SPSS versin 
15 o superior. 

*Todas las bases de datos del Mdulo de Condiciones
Socioeconmicas pueden ser obtenidas en la pgina de 
Internet del CONEVAL www.coneval.gob.mx o del INEGI, 
www.inegi.org.mx, y deben estar convertidas a formato  *.sav. 

*En este programa se utilizan las siguientes bases, renombrndolas
de la siguiente forma:
Base poblacin: poblacion08.sav
Base de concentrado: concentrado08.sav

*En este programa se utilizan tres tipos de archivos, los 
cuales estn ubicados en las siguientes carpetas:
*
1) Bases originales: "D:\MedicionMultidimensional\2008\SPSS\MCS"
2) Bases generadas: "D:\MedicionMultidimensional\2008\SPSS\Bases"
3) Bitcoras: "D:\MedicionMultidimensional\2008\SPSS\Log"

************************************************************************************
*
*	PROGRAMA PARA LA MEDICIN MULTIDIMENSIONAL
*    	DE LA POBREZA 2008
*
************************************************************************************
*De acuerdo a la metodologa para la medicin multidimensional
de la pobreza establecida por el CONEVAL, la medicin de la 
pobreza se realiza en tres espacios: el espacio del bienestar 
econmico (ingreso), el espacio de derechos sociales (privacin
social) y el contexto territorial (cohesin social).

*En este programa se construyen bases independientes para cada
una de las dimensiones a considerar (rezago educativo, acceso a 
la salud, calidad y espacios de la vivienda, servicios bsicos en la 
vivienda, acceso a la seguridad social, acceso a la alimentacin,
ingreso y cohesin social), y al final se integran en un solo archivo
para efectuar la medicin.

*********************************************************
*
Parte IX Indicadores de contexto territorial
*
* ndice de percepcin de redes sociales
* Razn de ingreso
* ndice de Gini
* Grado de Polarizacin Social
********************************************************.
*Factores de expansin.

GET
  FILE='D:\MedicionMultidimensional\2008\SPSS\MCS\concentrado08.sav'.

VARIABLE LABELS factor "Factor de expansin".

SORT CASES proyecto(A) folioviv(A) foliohog(A).

SAVE OUTFILE='D:\MedicionMultidimensional\2008\SPSS\Bases\factores08.sav'
 /KEEP = proyecto folioviv foliohog factor
  /COMPRESSED.

*******************************
*ndice de percepcin de redes*
*******************************.

GET
  FILE='D:\MedicionMultidimensional\2008\SPSS\MCS\poblacion08.sav'.

*Para la construccin del indicador de redes sociales se utiliza
la informacin proveniente de la base de poblacin, relativa
a la percepcin sobre la facilidad o dificultad de contar con 
apoyo de redes sociales para conseguir trabajo, ayuda para cuidar 
a los hijos/hijas, conseguir dinero, apoyo en caso de enfermedad, 
compaa para ir al doctor y cooperacin para mejoras de la colonia 
o localidad.

SORT CASES proyecto(A) folioviv(A) foliohog(A) numren(A).

MATCH FILES /FILE=*
  /TABLE='D:\MedicionMultidimensional\2008\SPSS\Bases\factores08.sav'
  /BY proyecto folioviv foliohog.
EXECUTE.

* Poblacin objeto: no se incluye a huspedes ni trabajadores domsticos.

SELECT IF  ~(400<=parentesco & parentesco<500). 
SELECT IF  ~(700<=parentesco & parentesco<800). 

*IDENTIFICACION DE LOS HOGARES CON POBLACIN MENOR A 12 AOS.

COMPUTE men12=1.
IF edad>=12  men12=0.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=proyecto folioviv foliohog
  /menh12=SUM(men12).

RECODE menh12 (1 THRU HIGHEST=1)(ELSE =COPY) INTO menh12.
VARIABLE LABELS menh12 "Hogares donde habitan menores de 12 aos".
FORMATS menh12 (F1).

*Esta seccin se pregunta slo a personas de 12 aos y ms,
se elimina a la poblacin no considerada;

SELECT IF ~(edad<12).

RECODE redsoc_1 redsoc_2 redsoc_3 redsoc_4 redsoc_5 redsoc_6 (-1 = SYSMIS).

*Se eliminan de la base las observaciones correspondientes a informantes indirectos.

SELECT IF ~(SYSMISS(redsoc_1) &  SYSMISS(redsoc_2) & SYSMISS(redsoc_3) & 
SYSMISS(redsoc_4) & SYSMISS(redsoc_5) &  SYSMISS(redsoc_6)).

* INDICADORES DE PERCEPCIN DE FACILIDAD.

*Cuidar*.

COMPUTE pfr_cuiden=-1.
IF redsoc_2=3 | redsoc_2=4      pfr_cuiden=1.
IF redsoc_2<=2 | redsoc_2=5    pfr_cuiden=0.
IF redsoc_2=9 | sysmisss(redsoc_2) pfr_cuiden=9.
RECODE pfr_cuiden (9=sysmiss).

*Dinero*.
COMPUTE pfr_dinero=-1.
IF redsoc_1=3 | redsoc_1=4      pfr_dinero=1.
IF redsoc_1<=2 | redsoc_1=5    pfr_dinero=0.
IF redsoc_1=9 | sysmisss(redsoc_1) pfr_dinero=9.
RECODE pfr_dinero (9=sysmiss).

*Trabajo*.

COMPUTE pfr_trab=-1.
IF redsoc_3=3 | redsoc_3=4      pfr_trab=1.
IF redsoc_3<=2 | redsoc_3=5    pfr_trab=0.
IF redsoc_3=9 | sysmisss(redsoc_3) pfr_trab=9.
RECODE pfr_trab (9=sysmiss).

*Compaia para el doctor*.

COMPUTE pfr_acomp=-1.
IF redsoc_4=3 | redsoc_4=4      pfr_acomp=1.
IF redsoc_4<=2 | redsoc_4=5    pfr_acomp=0.
IF redsoc_4=9 | sysmisss(redsoc_4) pfr_acomp=9.
RECODE pfr_acomp (9=sysmiss).

*Mejoras*.

COMPUTE pfr_mej=-1.
IF redsoc_5=3 | redsoc_5=4      pfr_mej=1.
IF redsoc_5<=2 | redsoc_5=5    pfr_mej=0.
IF redsoc_5=9 | sysmisss(redsoc_5) pfr_mej=9.
RECODE pfr_mej (9=sysmiss).

*Cuiden a sus nios*.

COMPUTE pfr_cmen=-1.
IF redsoc_6=3 | redsoc_6=4      pfr_cmen=1.
IF redsoc_6<=2 | redsoc_6=5    pfr_cmen=0.
IF redsoc_6=9 | sysmisss(redsoc_6) pfr_cmen=9.
RECODE pfr_cmen (9=sysmiss).

* Nmero de situacin que se percibe facilidad de contar con apoyo de redes sociales.

COMPUTE nsf=-1.
IF menh12=1 nsf=SUM.6(pfr_cuiden, pfr_dinero, pfr_trab ,pfr_acomp ,pfr_mej, pfr_cmen).
IF menh12=0 nsf=SUM.5(pfr_cuiden, pfr_dinero, pfr_trab ,pfr_acomp ,pfr_mej).

* INDICADORES DE PERCEPCIN DE DIFICULTAD.

*Cuidar*.

COMPUTE pdr_cuiden=-1.
IF redsoc_2=1 | redsoc_2=2            pdr_cuiden=1.
IF 3<=redsoc_2 & redsoc_2<=5       pdr_cuiden=0.
IF redsoc_2=9 | sysmisss(redsoc_2) pdr_cuiden=9.
RECODE pdr_cuiden (9=sysmiss).


*Dinero*.
COMPUTE pdr_dinero=-1.
IF redsoc_1=1 | redsoc_1=2      pdr_dinero=1.
IF 3<=redsoc_1 & redsoc_1<=5       pdr_dinero=0.
IF redsoc_1=9 | sysmisss(redsoc_1) pdr_dinero=9.
RECODE pdr_dinero (9=sysmiss).


*Trabajo*.

COMPUTE pdr_trab=-1.
IF redsoc_3=1 | redsoc_3=2      pdr_trab=1.
IF 3<=redsoc_3 & redsoc_3<=5    pdr_trab=0.
IF redsoc_3=9 | sysmisss(redsoc_3) pdr_trab=9.
RECODE pdr_trab (9=sysmiss).

*Compaia para el doctor*.

COMPUTE pdr_acomp=-1.
IF redsoc_4=1 | redsoc_4=2      pdr_acomp=1.
IF 3<=redsoc_4 & redsoc_4<=5    pdr_acomp=0.
IF redsoc_4=9 | sysmisss(redsoc_4) pdr_acomp=9.
RECODE pdr_acomp (9=sysmiss).

*Mejoras*.

COMPUTE pdr_mej=-1.
IF redsoc_5=1 | redsoc_5=2      pdr_mej=1.
IF 3<=redsoc_5 & redsoc_5<=5    pdr_mej=0.
IF redsoc_5=9 | sysmisss(redsoc_5) pdr_mej=9.
RECODE pdr_mej (9=sysmiss).

*Cuiden a sus nios*.

COMPUTE pdr_cmen=-1.
IF redsoc_6=1 | redsoc_6=2      pdr_cmen=1.
IF 3<=redsoc_6 & redsoc_6<=5    pdr_cmen=0.
IF redsoc_6=9 | sysmisss(redsoc_6) pdr_cmen=9.
RECODE pdr_cmen (9=sysmiss).

* Nmero de situacin que se percibe dificultad de contar con apoyo de redes sociales.

COMPUTE nsd=-1.
IF menh12=1 nsd=SUM.6(pdr_cuiden, pdr_dinero, pdr_trab ,pdr_acomp ,pdr_mej, pdr_cmen).
IF menh12=0 nsd=SUM.5(pdr_cuiden, pdr_dinero, pdr_trab ,pdr_acomp ,pdr_mej).


* INDICADORES DE PERCEPCIN NEUTRA.

*Cuidar*.

COMPUTE pnr_cuiden=-1.
IF redsoc_2=5          pnr_cuiden=1.
IF redsoc_2<=4        pnr_cuiden=0.
IF redsoc_2=9 | sysmisss(redsoc_2) pnr_cuiden=9.
RECODE pnr_cuiden (9=sysmiss).

*Dinero*.
COMPUTE pnr_dinero=-1.
IF redsoc_1=5         pnr_dinero=1.
IF redsoc_1<=4       pnr_dinero=0.
IF redsoc_1=9 | sysmisss(redsoc_1) pnr_dinero=9.
RECODE pnr_dinero (9=sysmiss).

*Trabajo*.

COMPUTE pnr_trab=-1.
IF redsoc_3=5      pnr_trab=1.
IF redsoc_3<=4    pnr_trab=0.
IF redsoc_3=9 | sysmisss(redsoc_3) pnr_trab=9.
RECODE pnr_trab (9=sysmiss).

*Compaia para el doctor*.

COMPUTE pnr_acomp=-1.
IF redsoc_4=5      pnr_acomp=1.
IF redsoc_4<=4    pnr_acomp=0.
IF redsoc_4=9 | sysmisss(redsoc_4) pnr_acomp=9.
RECODE pnr_acomp (9=sysmiss).

*Mejoras*.

COMPUTE pnr_mej=-1.
IF redsoc_5=5      pnr_mej=1.
IF redsoc_5<=4    pnr_mej=0.
IF redsoc_5=9 | sysmisss(redsoc_5) pnr_mej=9.
RECODE pnr_mej (9=sysmiss).

*Cuiden a sus nios*.

COMPUTE pnr_cmen=-1.
IF redsoc_6=5      pnr_cmen=1.
IF redsoc_6<=4    pnr_cmen=0.
IF redsoc_6=9 | sysmisss(redsoc_6) pnr_cmen=9.
RECODE pnr_cmen (9=sysmiss).

* Nmero de situacin que no se percibe ni facilidad ni dificultad de contar con apoyo de redes sociales.

COMPUTE nsn=-1.
IF menh12=1 nsn=SUM.6(pnr_cuiden, pnr_dinero, pnr_trab ,pnr_acomp ,pnr_mej, pnr_cmen).
IF menh12=0 nsn=SUM.5(pnr_cuiden, pnr_dinero, pnr_trab ,pnr_acomp ,pnr_mej).

* GRADO PERCIBIDO DE APOYO DE REDES SOCIALES*.

COMPUTE ga_redes=-1.
IF (nsd>nsf) & (nsd > nsn) ga_redes=1.
IF (nsn>nsd) & (nsn > nsf) ga_redes=2.
IF (nsn>nsd) & (nsn = nsf) ga_redes=2.
IF (nsn=nsd) & (nsn > nsf) ga_redes=2.
IF (nsn=nsd) & (nsn = nsf) & (nsd = nsf) ga_redes=2.
IF (nsf=nsd) & (nsf > nsn) ga_redes=2.
IF (nsf>nsd) & (nsf > nsn) ga_redes=3.
IF edad>=12 & (sysmiss( nsf) & sysmiss(nsd) & sysmiss(nsn)) ga_redes=99.
IF edad<12                      ga_redes=99.
RECODE ga_redes (99 =SYSMIS).
VARIABLE LABELS ga_redes "Grado de apoyo de contar con redes sociales".
VALUE LABELS ga_redes 1 "Bajo"
                                       2 "Medio"   
                                       3 "Alto".
FORMATS ga_redes (F1).
fre ga_redes.

COMPUTE      red_bajo=0.
IF ga_redes=1  red_bajo=1.

COMPUTE      red_med=0.
IF ga_redes=2  red_med=1.

COMPUTE      red_alto=0.
IF ga_redes=3  red_alto=1.

COMPUTE        ptot_ip=0.
IF ga_redes<=3  ptot_ip=1.

COMPUTE ent=NUMBER(SUBSTR(folioviv,1,2),F2).
VARIABLE LABELS ent "entidad".

SORT CASES proyecto (A) folioviv (A) foliohog (A) numren(A).

MATCH FILES /FILE=*
  /TABLE='D:\MedicionMultidimensional\2008\SPSS\MCS\concentrado08.sav'
  /RENAME (beca D_R edad sexo trabajo = d0 d1 d2 d3 d4) 
  /BY proyecto folioviv foliohog
  /DROP= d0 d1 d2 d3 d4.
EXECUTE.

WEIGHT BY factor.

AGGREGATE
  /OUTFILE='D:\MedicionMultidimensional\2008\SPSS\Bases\redes08.sav'
  /BREAK=ent
  /rede_bajo=SUM(red_bajo) 
  /rede_med=SUM(red_med) 
  /rede_alto=SUM(red_alto) 
  /ptota_ip=SUM(ptot_ip)
  /N_BREAK=N.

************************************************************************************
*
*	 NDICE DE REDES SOCIALES
*
************************************************************************************.
GET
  FILE='D:\MedicionMultidimensional\2008\SPSS\Bases\redes08.sav'.

COMPUTE prop_bajo=rede_bajo/ptota_ip.
COMPUTE prop_med=rede_med/ptota_ip.
COMPUTE prop_alto=rede_alto/ptota_ip.

COMPUTE ipest_redes=-1.
IF prop_alto<.2          																										ipest_redes=1.
IF (prop_alto>=.2 & prop_alto<.4)         ipest_redes=2.
IF prop_alto>=.4       																										ipest_redes=3.
VARIABLE LABELS ipest_redes "ndice estatal de percepcin de redes sociales".
VALUE LABELS ipest_redes 1 "Bajo"
                                        2 "Medio"
                                        3 "Alto".
FORMATS ipest_redes (F1).
fre ipest_redes.

************************************************************************************
*
*	 DESIGUALDAD DEL INGRESO
*
************************************************************************************

*Para la construccin de los indicadores de desigualdad del ingreso 
se emplea la base pobreza_multidimensional08, de la cual se retoma 
el ingreso corriente total per cpita para la construccin del 
ndice de Gini a nivel estatal.

 IF ent=	1	gini_est	=	0.5087	.
 IF ent=	2	gini_est	=	0.4509	.
 IF ent=	3	gini_est	=	0.4878	.
 IF ent=	4	gini_est	=	0.5231	.
 IF ent=	5	gini_est	=	0.4718	.
 IF ent=	6	gini_est	=	0.4501	.
 IF ent=	7	gini_est	=	0.5565	.
 IF ent=	8	gini_est	=	0.5306	.
 IF ent=	9	gini_est	=	0.5105	.
 IF ent=	10	gini_est	=	0.4955	.
 IF ent=	11	gini_est	=	0.4434	.
 IF ent=	12	gini_est	=	0.5392	.
 IF ent=	13	gini_est	=	0.4909	.
 IF ent=	14	gini_est	=	0.4652	.
 IF ent=	15	gini_est	=	0.4263	.
 IF ent=	16	gini_est	=	0.4821	.
 IF ent=	17	gini_est	=	0.4778	.
 IF ent=	18	gini_est	=	0.4777	.
 IF ent=	19	gini_est	=	0.49	.
 IF ent=	20	gini_est	=	0.5083	.
 IF ent=	21	gini_est	=	0.4762	.
 IF ent=	22	gini_est	=	0.5036	.
 IF ent=	23	gini_est	=	0.5016	.
 IF ent=	24	gini_est	=	0.5031	.
 IF ent=	25	gini_est	=	0.4847	.
 IF ent=	26	gini_est	=	0.4713	.
 IF ent=	27	gini_est	=	0.5255	.
 IF ent=	28	gini_est	=	0.4829	.
 IF ent=	29	gini_est	=	0.4247	.
 IF ent=	30	gini_est	=	0.495	.
 IF ent=	31	gini_est	=	0.487	.
 IF ent=	32	gini_est	=	0.5103	.
EXECUTE .

SAVE OUTFILE='D:\MedicionMultidimensional\2008\SPSS\Bases\redes08.sav'
  /COMPRESSED.

************************************************************************************
*
*	 RAZN DE INGRESO
*
************************************************************************************.
*Para la construccin de este indicador de obtiene el total
de ingresos que concentra la poblacin pobre multidimensional
extrema y la poblacin no pobre multidimensional y no vulnerable.
*Se reporta el cociente entre estas dos cantidades.

GET
  FILE='D:\MedicionMultidimensional\2008\SPSS\Bases\pobreza_multidimensional08.sav'.

COMPUTE valido=1.
IF (sysmiss(plb) or sysmiss(i_privacion)) valido=0.
fre valido.

SELECT IF valido=1.

WEIGHT BY factor.

* Poblacin total.

COMPUTE p_tot=1.

COMPUTE ing_pmul=0.
IF pe_multi=1  ing_pmul=ictpc.

COMPUTE ing_npnv=0.
IF pnpmnv=1  ing_npnv=ictpc.

WEIGHT BY factor.
AGGREGATE
  /OUTFILE='D:\MedicionMultidimensional\2008\SPSS\Bases\contexto08.sav'
  /BREAK=ent
  /ictpc_pem=SUM(ing_pmul) 
  /ictpc_npmnv=SUM(ing_npnv)
  /pob_tot=SUM(p_tot)
  /N_BREAK=N.

GET
  FILE='D:\MedicionMultidimensional\2008\SPSS\Bases\contexto08.sav'.

COMPUTE rie_pme_npmnv=(ictpc_pem/ictpc_npmnv).
FORMATS rie_pme_npmnv(F5.4).

MEANS  rie_pme_npmnv by ent
/CELLS MEAN.

*Nacional.

COMPUTE aux=1.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=aux
  /ictpc_pem_n=SUM(ictpc_pem) 
  /ictpc_npmnv_n=SUM(ictpc_npmnv).

COMPUTE rie_pme_npmnv_n=(ictpc_pem_n/ictpc_npmnv_n).
FORMATS rie_pme_npmnv_n(F5.4).

************************************************************************************
*
*	 POLARIZACIN SOCIAL
*
************************************************************************************.

*Para la construccin del grado de polarizacin social se usa
la informacin sobre el ndice de marginacin de CONAPO a nivel 
municipal. Se clasifica a las entidades de acuerdo a cuatro categoras:
*
1. Entidades polarizadas:
*
Concentran menos de 20 por ciento de la poblacin en municipios 
con grado de marginacin medio, al menos 30 por ciento en municipios 
de grado de marginacin alto y muy alto, y al menos 30 por ciento
en municipios con grado de marginacin bajo o muy bajo.
*
2. Entidades con polo de alta marginacin:
*
Concentran ms de 70 por ciento de su poblacin en municipios 
con grado de marginacin alto o muy alto.
*
3. Entidades con polo de baja marginacin:
*
Concentran ms de 70 por ciento de su poblacin en municipios 
con grado de marginacin bajo o muy bajo.
*
4. Entidades sin polo:
*
Se excluye a las entidades polarizadas, con polo de alta marginacin
o con polo de baja marginacin
*
De acuerdo a esta clasificacin se define para cada entidad su grado de
polarizacin.

COMPUTE polarizacion=0.
IF ent=12 | ent=13 | ent=24 | ent=31      polarizacion=1.
IF ent=7                                             polarizacion=2.
IF ent=1 | ent=2 | ent=3 | ent=5 |
    ent=6 | ent=8 | ent=9 | ent=10 |
				ent=14 | ent=15 | ent=17 | ent=18 |
			ent=19 | ent=22 | ent=23 | ent=25 |
			ent=26 | ent=28 | ent=29 | ent=32       polarizacion=3.
IF ent=4 | ent=11 | ent=16 | ent=20 |
						ent=21 | ent=27 | ent=30          polarizacion =4.
FORMATS polarizacion (F1).

VARIABLE LABELS pob_tot "Poblacin total".
VARIABLE LABELS ictpc_pem "Total de ingreso que concentra la poblacin pobre multidimensional extrema".
VARIABLE LABELS ictpc_npmnv "Total de ingreso que concentra la poblacin no pobre multidimensional y no vulnerable".
VARIABLE LABELS rie_pme_npmnv "Razn de ingreso entre la poblacin pobre multidimensional y la no pobre multidimensional y no vulnerable".
VARIABLE LABELS polarizacion "Grado de polarizacin social".
VALUE LABELS polarizacion 1 "Polarizados" 
2 "Polo de alta marginacin" 
3 "polo de baja marginacin" 
4 "Sin polo".

SORT CASES ent.

MATCH FILES /FILE=*
  /FILE='D:\MedicionMultidimensional\2008\SPSS\Bases\redes08.sav'
  /RENAME (N_BREAK = d0) 
  /BY ent
  /DROP= d0.
EXECUTE.

VARIABLE LABELS gini_est "Coeficiente de Gini a nivel estatal".

SORT CASES  ent.

SAVE OUTFILE='D:\MedicionMultidimensional\2008\SPSS\Bases\contexto08.sav'
  /COMPRESSED.

**************************
*Concentrado de tabulados*
**************************.
*Nota: el total reportado en los cuadros estatales no corresponde al nacional.

***************
* ndice de Gini
****************.

*Nacional.

COMPUTE gini_nac=.5055.

*Estatal.

MEANS gini_est BY ent
/CELLS =SUM.

******************
*Razn de ingreso*
******************;

*Nacional.
MEANS rie_pme_npmnv_n.

*Estatal

MEANS rie_pme_npmnv BY ent
/CELLS =SUM.

**************
*Polarizacin*
**************.

WEIGHT BY pob_tot.
fre polarizacion.
WEIGHT OFF.

****************
*Redes sociales*
****************.

WEIGHT BY pob_tot.
fre ipest_redes.
WEIGHT OFF.

